Aerosoft GmbH

            Is product X compatible with simulator Y?

            If you need to know if a product is compatible with your simulator (or hardware) you best check the product page and see what is in the requirement list. If your simulator is NOT listed there you should NOT assume it will work.


            Please note that FSX and FSX;Steam are not the same simulators and that products for P3D are always only compatible with one specific version. If P3D V4 is listed it will NOT work on P3D V3 and vise versa. ​



            If P3d V4.1 or V4.0 is mentioned you can assume it will work with P3d V4.2, but not the other way around. If you only see Prepar3D without a version number you have to assume it is the original release. It did not have a version number.


            You will find a list of all our P3d V4 compatible products here: https://www.aerosoft.com/en/flight-simulation/news/what-s-prepar3d-v4-compatible.



            Updated: 13 Feb 2019 09:23 PM
            Helpful?  
            Help us to make this article better
            0 2